Returns the value of an index in the array

- « MongoDB\BSON\PackedArray::offsetExists

- MongoDB\BSON\PackedArray::offsetSet »

- PHP Manual
- MongoDB\BSON\PackedArray
- Returns the value of an index in the array

# MongoDB\BSON\PackedArray::offsetGet

(mongodb >=1.17.0)

MongoDB\BSON\PackedArray::offsetGet — Returns the value of an index in the array

### Description

final public MongoDB\BSON\PackedArray::offsetGet(mixed `$key`): mixed

### Parameters

`key`

  The index to retrieve from the array. Only int is supported.

### Return Values

Returns the value associated with the given index. If the index is not present in the array, an exception is thrown.

> Note: When encountering a value encoded as 64-bit integer in the BSON array, the return value of this method will be a MongoDB\BSON\Int64 instance.

### Errors/Exceptions

- Throws MongoDB\Driver\Exception\InvalidArgumentException on argument parsing errors.
- Throws MongoDB\Driver\Exception\RuntimeException if the index is not present in the array.

### See Also

- ArrayAccess::offsetGet() - Offset to retrieve
- MongoDB\BSON\PackedArray::get() - Returns the value of an index in the array